Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.addon.conversion.PowerPoint2PDFSettingData Class Reference

Inherits SystemIDisposable.

## Public Types
enum | ConvertIntent { ConvertIntent.e_ConvertIntentPrint = 0, ConvertIntent.e_ConvertIntentScreen = 1 }
| Enumeration for intent for converting PowerPoint to PDF. More...
enum | HandoutOrder { HandoutOrder.e_HandoutOrderHorizontalFirst = 0, HandoutOrder.e_HandoutOrderVerticalFirst = 1 }
| Enumeration for specifying the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF. More...
enum | OutputType { OutputType.e_OutputSlides = 1, OutputType.e_OutputNotesPages = 2, OutputType.e_OutputOutline = 3, OutputType.e_OutputOneSlideHandouts = 4, OutputType.e_OutputTwoSlideHandouts = 5, OutputType.e_OutputThreeSlideHandouts = 6, OutputType.e_OutputFourSlideHandouts = 7, OutputType.e_OutputSixSlideHandouts = 8, OutputType.e_OutputNineSlideHandouts = 9 }
| Enumeration for output type for converting PowerPoint to PDF. More...

## Public Member Functions
| PowerPoint2PDFSettingData ()
| Constructor.
| PowerPoint2PDFSettingData (PowerPoint2PDFSettingData.ConvertIntent intent, bool frame_output_slides, PowerPoint2PDFSettingData.OutputType output_type, PowerPoint2PDFSettingData.HandoutOrder handout_order, bool output_hidden_slides, bool include_doc_props, bool disable_vba_code)
| Constructor, with parameters. More...
void | Set (PowerPoint2PDFSettingData.ConvertIntent intent, bool frame_output_slides, PowerPoint2PDFSettingData.OutputType output_type, PowerPoint2PDFSettingData.HandoutOrder handout_order, bool output_hidden_slides, bool include_doc_props, bool disable_vba_code)
| Set value. More...

## Properties
bool | disable_vba_code`[get, set]`
| A boolean value decide whether to disable the execution of vba code in the PowerPoint document. More...
bool | frame_output_slides`[get, set]`
| A boolean value which indicates whether to frame output slides in the converted PDF document. More...
PowerPoint2PDFSettingData.HandoutOrder | handout_order`[get, set]`
| Handout order used to specify the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF. Please refer to values starting from foxit.addon.conversion.PowerPoint2PDFSettingData.HandoutOrder.e_HandoutOrderHorizontalFirst and this should be one of these values. More...
bool | include_doc_props`[get, set]`
| A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document. More...
PowerPoint2PDFSettingData.ConvertIntent | intent`[get, set]`
| Converting intent. Please refer to values starting from foxit.addon.conversion.PowerPoint2PDFSettingData.ConvertIntent.e_ConvertIntentPrint and this should be one of these values.
bool | output_hidden_slides`[get, set]`
| A boolean value which indicates whether to convert hidden slides to the converted PDF document. More...
PowerPoint2PDFSettingData.OutputType | output_type`[get, set]`
| Output type used to specify which component (slides, handouts, notes pages, or an outline) of PowerPoint document is to be converted to PDF document. Please refer to values starting from foxit.addon.conversion.PowerPoint2PDFSettingData.OutputType.e_OutputSlides and this should be one of these values.

## Detailed Description

This class represents setting data used for converting PowerPoint to PDF.

## Member Enumeration Documentation

## ◆ ConvertIntent

enum foxit.addon.conversion.PowerPoint2PDFSettingData.ConvertIntent
| strong

Enumeration for intent for converting PowerPoint to PDF.

Values of this enumeration should be used alone.

Enumerator
e_ConvertIntentPrint | Intent: converted result file will be used for printing.
e_ConvertIntentScreen | Intent: converted result file will be used for showing on screen.

## ◆ HandoutOrder

enum foxit.addon.conversion.PowerPoint2PDFSettingData.HandoutOrder
| strong

Enumeration for specifying the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF.

Values of this enumeration should be used alone.

Enumerator
e_HandoutOrderHorizontalFirst | When converting PowerPoint in handouts type, convert handouts with consecutive slides displayed horizontally first (in horizontal rows).
e_HandoutOrderVerticalFirst | When converting PowerPoint in handouts type, convert handouts with consecutive slides displayed vertically first (in vertical columns).

## ◆ OutputType

enum foxit.addon.conversion.PowerPoint2PDFSettingData.OutputType
| strong

Enumeration for output type for converting PowerPoint to PDF.

Values of this enumeration should be used alone.

Enumerator
e_OutputSlides | Output type: slides.
e_OutputNotesPages | Output type: notes pages.
e_OutputOutline | Output type: outline view.
e_OutputOneSlideHandouts | Output type: handouts with one slide per handout page.
e_OutputTwoSlideHandouts | Output type: handouts with two slide per handout page.
e_OutputThreeSlideHandouts | Output type: handouts with three slide per handout page.
e_OutputFourSlideHandouts | Output type: handouts with four slide per handout page.
e_OutputSixSlideHandouts | Output type: handouts with six slide per handout page.
e_OutputNineSlideHandouts | Output type: handouts with nine slide per handout page.

## Constructor & Destructor Documentation

## ◆ PowerPoint2PDFSettingData()

foxit.addon.conversion.PowerPoint2PDFSettingData.PowerPoint2PDFSettingData | ( | PowerPoint2PDFSettingData.ConvertIntent | intent,
|  | bool | frame_output_slides,
|  | PowerPoint2PDFSettingData.OutputType | output_type,
|  | PowerPoint2PDFSettingData.HandoutOrder | handout_order,
|  | bool | output_hidden_slides,
|  | bool | include_doc_props,
|  | bool | disable_vba_code
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | intent | Converting intent. Please refer to values starting from foxit.addon.conversion.PowerPoint2PDFSettingData.ConvertIntent.e_ConvertIntentPrint and this should be one of these values.
  [in] | frame_output_slides | A boolean value which indicates whether to frame output slides in the converted PDF document or not.
  [in] | output_type | Output type used to specify which component of PowerPoint document is to be converted. Please refer to values starting from foxit.addon.conversion.PowerPoint2PDFSettingData.OutputType.e_OutputSlides and this should be one of these values.
  [in] | handout_order | Handout order used to specify the page layout order in which slides appear on converted handouts that show multiple slides on one page. Please refer to values starting from foxit.addon.conversion.PowerPoint2PDFSettingData.HandoutOrder.e_HandoutOrderHorizontalFirst and this should be one of these values.
  [in] | output_hidden_slides | A boolean value which indicates whether to convert hidden slides to the converted PDF document.
  [in] | include_doc_props | A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

## Member Function Documentation

## ◆ Set()

void foxit.addon.conversion.PowerPoint2PDFSettingData.Set | ( | PowerPoint2PDFSettingData.ConvertIntent | intent,
|  | bool | frame_output_slides,
|  | PowerPoint2PDFSettingData.OutputType | output_type,
|  | PowerPoint2PDFSettingData.HandoutOrder | handout_order,
|  | bool | output_hidden_slides,
|  | bool | include_doc_props,
|  | bool | disable_vba_code
| ) |  |
| inline

Set value.

Parameters

  [in] | intent | Converting intent. Please refer to values starting from foxit.addon.conversion.PowerPoint2PDFSettingData.ConvertIntent.e_ConvertIntentPrint and this should be one of these values.
  [in] | frame_output_slides | A boolean value which indicates whether to frame output slides in the converted PDF document or not.
  [in] | output_type | Output type used to specify which component of PowerPoint document is to be converted. Please refer to values starting from foxit.addon.conversion.PowerPoint2PDFSettingData.OutputType.e_OutputSlides and this should be one of these values.
  [in] | handout_order | Handout order used to specify the page layout order in which slides appear on converted handouts that show multiple slides on one page. Please refer to values starting from foxit.addon.conversion.PowerPoint2PDFSettingData.HandoutOrder.e_HandoutOrderHorizontalFirst and this should be one of these values.
  [in] | output_hidden_slides | A boolean value which indicates whether to convert hidden slides to the converted PDF document.
  [in] | include_doc_props | A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

Returns
  None.

## Property Documentation

## ◆ disable_vba_code

bool foxit.addon.conversion.PowerPoint2PDFSettingData.disable_vba_code
| get set

A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

## ◆ frame_output_slides

bool foxit.addon.conversion.PowerPoint2PDFSettingData.frame_output_slides
| get set

A boolean value which indicates whether to frame output slides in the converted PDF document.

true means to frame output slides in the converted PDF document.
false means not to frame output slides in the converted PDF document.

## ◆ handout_order

PowerPoint2PDFSettingData.HandoutOrder foxit.addon.conversion.PowerPoint2PDFSettingData.handout_order
| get set

Handout order used to specify the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF. Please refer to values starting from foxit.addon.conversion.PowerPoint2PDFSettingData.HandoutOrder.e_HandoutOrderHorizontalFirst and this should be one of these values.

Note
  This would be available only when output_type is one of following value:

  - foxit.addon.conversion.PowerPoint2PDFSettingData.OutputType.e_OutputOneSlideHandouts

  - foxit.addon.conversion.PowerPoint2PDFSettingData.OutputType.e_OutputTwoSlideHandouts

  - foxit.addon.conversion.PowerPoint2PDFSettingData.OutputType.e_OutputThreeSlideHandouts

  - foxit.addon.conversion.PowerPoint2PDFSettingData.OutputType.e_OutputFourSlideHandouts

  - foxit.addon.conversion.PowerPoint2PDFSettingData.OutputType.e_OutputSixSlideHandouts

  - foxit.addon.conversion.PowerPoint2PDFSettingData.OutputType.e_OutputNineSlideHandouts

## ◆ include_doc_props

bool foxit.addon.conversion.PowerPoint2PDFSettingData.include_doc_props
| get set

A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.

true means to include PowerPoint document properties in the converted PDF document.
false means not to include PowerPoint document properties in the converted PDF document.

## ◆ output_hidden_slides

bool foxit.addon.conversion.PowerPoint2PDFSettingData.output_hidden_slides
| get set

A boolean value which indicates whether to convert hidden slides to the converted PDF document.

true means to convert hidden slides to the converted PDF document.
false means not to convert hidden slides to the converted PDF document.